Summary:	X Damage extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Damage
Name:		xorg-lib-libXdamage
Version:	1.1.6
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXdamage-%{version}.tar.xz
# Source0-md5:	ca55d29fa0a8b5c4a89f609a7952ebf8
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-proto-damageproto-devel >= 1.1
BuildRequires:	xorg-proto-fixesproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Obsoletes:	libXdamage < 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Damage extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Damage.

%package devel
Summary:	Header files for libXdamage library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXdamage
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-proto-damageproto-devel >= 1.1
Obsoletes:	libXdamage-devel < 1.1

%description devel
X Damage extension library.

This package contains the header files needed to develop programs that
use libXdamage.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Damage.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXdamage.

%package static
Summary:	Static libXdamage library
Summary(pl.UTF-8):	Biblioteka statyczna libXdamage
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXdamage-static < 1.1

%description static
X Damage extension library.

This package contains the static libXdamage library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Damage.

Pakiet zawiera statyczną bibliotekę libXdamage.

%prep
%setup -q -n libXdamage-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libXdamage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXdamage.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXdamage.so
%{_libdir}/libXdamage.la
%{_includedir}/X11/extensions/Xdamage.h
%{_pkgconfigdir}/xdamage.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXdamage.a
%changelog
* Thu Dec 29 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXdamage.git;a=log;h=master

* Wed Dec 28 2022 Jakub Bogusz <qboosh@pld-linux.org> df763f3
- updated to 1.1.6

* Tue Mar 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 12164e8
- updated to 1.1.5

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 87ea85c
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 110130a
- updated to 1.1.4

* Sat Jun 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 6dacf54
- updated ac version

* Thu Jun 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c0df196
- up to 1.1.3

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 1d20958
- rebuild
- rel 2

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 9c1cb35
- verbose file

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> df12a05
- util-macros version
- added NEWS and README to doc
- ghost soname symlink

* Tue Oct 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a95a173
- up to 1.1.2

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aa08e4c
- release 2

* Wed Mar 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ec7d467
- up to 1.1.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6d511b0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2ccc129
- converted to UTF-8

* Mon Jan 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 1265c40
- updated to 1.1

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f321ad1
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> bb1aaf1
- rebuild

* Wed Nov 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 10562de
- up to 1.0.4

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 410524e
- up to 1.0.3

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 4637996
- release 1

